main > .container {
    /*padding: 70px 15px 20px;*/
}

/*.footer {
    background-color: #f5f5f5;
    font-size: .9em;
    height: 60px;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}
*/
.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

a.asc:after {
    border-bottom: solid 7px #212529;
    border-top-width: 0;
}

a.desc:after {
    border-top: solid 7px #212529;
    border-bottom-width: 0;
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5);
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.form-group {
    margin-bottom: 1rem;
}











.m-t--200{margin-top: -200px;}

/*@font-face {
    font-family: 'Montserrat';
    src:    url('../fonts/Montserrat/static/Montserrat-Light.ttf') format('truetype');
    font-weight: 100;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src:    url('../fonts/Montserrat/static/Montserrat-Light.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src:    url('../fonts/Montserrat/static/Montserrat-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}*/
@font-face {
    font-family: 'Manrope';
    src:    url('../fonts/Manrope/static/Manrope-Medium.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: 'Manrope';
    src:    url('../fonts/Manrope/static/Manrope-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: 'Manrope';
    src:    url('../fonts/Manrope/static/Manrope-Bold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}
/*@font-face {
    font-family: 'Montserrat';
    src:    url('../fonts/Montserrat/static/Montserrat-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src:    url('../fonts/Montserrat/static/Montserrat-ExtraBold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src:    url('../fonts/Montserrat/static/Montserrat-Black.ttf') format('truetype');
    font-weight: 900;
    font-style: normal;
}*/
/* FONT FAMILY */
.ff-monospace {
    font-family: monospace;
}
/* FONT FAMILY END */
/* FONT SIZE */
.f-s-10 {font-size:10px !important;}
.f-s-12 {font-size:12px !important;}
.f-s-13 {font-size:13px !important;}
.f-s-15 {font-size:15px !important;}
.f-s-16 {font-size:16px;}
.f-s-18 {font-size:18px;}
.f-s-20 {font-size:20px;}
.f-s-22 {font-size:22px;}
.f-s-23 {font-size:23px;}
.f-s-24 {font-size:24px;}
.f-s-25 {font-size:25px !important;}
.f-s-26 {font-size:26px;}
.f-s-27 {font-size:27px !important;}
.f-s-28 {font-size:28px;}
.f-s-30 {font-size:30px !important;}
.f-s-32 {font-size:32px;}
.f-s-34 {font-size:34px !important;}
.f-s-36 {font-size:36px;}
.f-s-44 {font-size:44px;}
.f-s-50 {font-size:50px !important;}
.f-s-56 {font-size:56px !important;}
.f-s-64 {font-size:64px !important;}
/* FONT SIZE END */

/* FONT FAMILY */
.f-f-main {font-family: 'Manrope',sans-serif !important;}

/* FONT FAMILY END */

.bottom-30{bottom: 30px;}

/* MARGIN */
.m-0 {margin: 0 !important;}
.m-5 {margin: 5px !important;}
.m-10 {margin: 10px !important;}
.m-15 {margin: 15px !important;}
.m-20 {margin: 20px !important;}
.m-b-0 {margin-bottom:0px !important;}
.m-b-3 {margin-bottom:3px !important;}
.m-b-4 {margin-bottom:4px !important;}
.m-b-5 {margin-bottom:5px !important;}
.m-b-7 {margin-bottom:7px;}
.m-b-10 {margin-bottom:10px !important;}
.m-b-12 {margin-bottom:12px !important;}
.m-b-15 {margin-bottom:15px !important;}
.m-b-17 {margin-bottom:17px;}
.m-b-19 {margin-bottom:19px;}
.m-b-20 {margin-bottom:20px !important;}
.m-b-24 {margin-bottom:24px !important;}
.m-b-30 {margin-bottom:30px !important;}
.m-b-35 {margin-bottom:35px;}
.m-b-38 {margin-bottom:38px;}
.m-b-40 {margin-bottom:40px !important;}
.m-b-54 {margin-bottom:54px;}
.m-b-80 {margin-bottom:80px;}
.m-b-95 {margin-bottom:95px;}
.m-b-100 {margin-bottom:100px;}

.m-b--2 {margin-bottom:-2px}
.m-b--3 {margin-bottom:-3px}
.m-b--5 {margin-bottom:-5px}
.m-b--7 {margin-bottom:-7px}
.m-b--8 {margin-bottom:-8px}

.m-t-0 {margin-top:0 !important;}
.m-t-3 {margin-top:3px !important;}
.m-t-4 {margin-top:4px !important;}
.m-t-5 {margin-top:5px !important;}
.m-t-6 {margin-top:6px !important;}
.m-t-7 {margin-top:7px;}
.m-t-10 {margin-top:10px !important;}
.m-t-13 {margin-top:13px !important;}
.m-t-14 {margin-top:14px;}
.m-t-15 {margin-top:15px !important;}
.m-t-16 {margin-top:16px !important;}
.m-t-19 {margin-top:19px;}
.m-t-20 {margin-top:20px;}
.m-t-24 {margin-top:24px !important;}
.m-t-27 {margin-top:27px !important;}
.m-t-29 {margin-top:29px;}
.m-t-30 {margin-top:30px !important;}
.m-t-31 {margin-top:31px;}
.m-t-33 {margin-top:33px !important;}
.m-t-35 {margin-top:35px;}
.m-t-36 {margin-top:36px;}
.m-t-38 {margin-top:38px;}
.m-t-40 {margin-top:40px !important;}
.m-t-42 {margin-top:42px;}
.m-t-43 {margin-top:43px;}
.m-t-44 {margin-top:44px;}
.m-t-46 {margin-top:46px !important;}
.m-t-50 {margin-top:50px !important;}
.m-t-52 {margin-top:52px !important;}
.m-t-54 {margin-top:54px;}
.m-t-56 {margin-top:56px !important;}
.m-t-63 {margin-top:63px !important;}
.m-t-70 {margin-top:70px;}
.m-t-74 {margin-top:74px;}
.m-t-80 {margin-top:80px;}
.m-t-85 {margin-top:85px;}
.m-t-87 {margin-top:87px;}
.m-t-89 {margin-top:89px;}
.m-t-94 {margin-top:94px;}
.m-t-97 {margin-top:97px;}
.m-t-100 {margin-top:100px;}
.m-t-108 {margin-top:108px !important;}
.m-t-110 {margin-top:110px;}
.m-t-119 {margin-top:119px !important;}
.m-t-125 {margin-top:125px !important;}
.m-t-128 {margin-top:128px;}
.m-t-131 {margin-top:131px;}
.m-t-132 {margin-top:132px;}
.m-t-140 {margin-top:140px !important;}
.m-t-170 {margin-top:170px !important;}
.m-t--77 {margin-top:-77px !important;}
.m-t--40 {margin-top:-40px !important;}

.m-t--2 {margin-top: -2px}
.-m-t-20 {margin-top: -20px}
.-m-t-30 {margin-top: -30px}
.-m-t-31 {margin-top:-31px;}
.m-t-unset{margin-top: unset;}

.m-l-r-auto {margin-left:auto; margin-right:auto;}
.m-t-b-auto {margin-top:auto; margin-bottom:auto;}
.m-l--20 {margin-left:-20px;}
.m-l--40 {margin-left:-40px;}
.m-l-0 {margin-left:0px;}
.m-l-5 {margin-left:5px !important;}
.m-l-10 {margin-left:10px !important;}
.m-l-12 {margin-left:12px !important;}
.m-l-13 {margin-left:13px;}
.m-l-15 {margin-left:15px !important;}
.m-l-17 {margin-left:17px;}
.m-l-19 {margin-left:19px;}
.m-l-20 {margin-left:20px !important;}
.m-l-21 {margin-left:21px;}
.m-l-23 {margin-left:23px;}
.m-l-24 {margin-left:24px;}
.m-l-28 {margin-left:28px;}
.m-l-30 {margin-left:30px;}
.m-l-40 {margin-left:40px;}
.m-l-55 {margin-left:55px;}
.m-l-15-proc{margin-left: 15%}
.m-l-225 {margin-left:22.5px;}
.m-l-245 {margin-left:24.5px;}
.m-r-70{margin-right: 70px;}
.m-r--20 {margin-right:-20px;}
.m-r--40 {margin-right:-40px;}
.m-r-15-proc{margin-right: 15%}
.m-r-0 {margin-right:0px;}
.m-r-3 {margin-right:3px;}
.m-r-5 {margin-right:5px !important;}
.m-r-10 {margin-right:10px !important;}
.m-r-13 {margin-right:13px;}
.m-r-15 {margin-right:15px !important;}
.m-r-16 {margin-right:16px !important;}
.m-r-18 {margin-right:18px;}
.m-r-20 {margin-right:20px !important;}
.m-r-28 {margin-right:28px;}
.m-r-30 {margin-right:30px;}
/* MARGIN END */


/* PADDING */
.p-0 {padding:0;}
.p-4  {padding:4px;}
.p-5  {padding:5px;}
.p-9  {padding:9px;}
.p-10 {padding:10px;}
.p-11 {padding:11px;}
.p-11-5 {padding:11.5px;}
.p-12 {padding:12px;}
.p-15 {padding:15px;}
.p-17 {padding:17px;}
.p-20 {padding:20px;}
.p-30 {padding:30px;}
.p-34 {padding:34px;}
.p-50 {padding:50px;}

.p-t-2 {padding-top:2px;}
.p-t-3 {padding-top:3px;}
.p-t-4 {padding-top:4px;}
.p-t-5 {padding-top:5px;}
.p-t-6 {padding-top:6px;}
.p-t-10 {padding-top:10px !important;}
.p-t-12 {padding-top:12px;}
.p-t-13 {padding-top:13px;}
.p-t-14 {padding-top:14px;}
.p-t-15 {padding-top:15px;}
.p-t-16 {padding-top:16px;}
.p-t-17 {padding-top:17px;}
.p-t-18 {padding-top:18px;}
.p-t-19 {padding-top:19px;}
.p-t-20 {padding-top:20px;}
.p-t-21 {padding-top:21px;}
.p-t-22 {padding-top:22px;}
.p-t-23 {padding-top:23px;}
.p-t-24 {padding-top:24px;}
.p-t-25 {padding-top:25px;}
.p-t-26 {padding-top:26px;}
.p-t-30 {padding-top:30px;}
.p-t-35 {padding-top:35px;}
.p-t-40 {padding-top:40px;}
.p-t-42 {padding-top:42px;}
.p-t-44 {padding-top:44px;}
.p-t-45 {padding-top:45px;}
.p-t-46 {padding-top:46px;}
.p-t-50 {padding-top:50px;}
.p-t-54 {padding-top:54px;}
.p-t-234 {padding-top:234px;}
.p-t-294 {padding-top:294px;}
.p-t-480 {padding-top:480px;}
.p-b-2 {padding-bottom:2px;}
.p-b-3 {padding-bottom:3px;}
.p-b-4 {padding-bottom:4px;}
.p-b-5 {padding-bottom:5px;}
.p-b-10 {padding-bottom:10px !important;}
.p-b-11 {padding-bottom:11px;}
.p-b-13 {padding-bottom:13px;}
.p-b-14 {padding-bottom:14px;}
.p-b-15 {padding-bottom:15px;}
.p-b-18 {padding-bottom:18px;}
.p-b-20 {padding-bottom:20px;}
.p-b-23 {padding-bottom:23px;}
.p-b-25 {padding-bottom:25px;}
.p-b-30 {padding-bottom:30px;}
.p-b-31 {padding-bottom:31px;}
.p-b-40 {padding-bottom:40px;}
.p-b-42 {padding-bottom:42px;}
.p-b-46 {padding-bottom:46px;}
.p-b-50 {padding-bottom:50px;}
.p-b-54 {padding-bottom:54px;}
.p-b-60 {padding-bottom:60px;}
.p-b-70 {padding-bottom:70px;}
.p-b-90 {padding-bottom:90px;}
.p-b-110 {padding-bottom:110px;}
.p-b-124 {padding-bottom:124px;}
.p-b-381 {padding-bottom:381px;}

.p-l-2{padding-left: 2px;}
.p-l-3{padding-left: 3px;}
.p-l-5{padding-left: 5px;}
.p-l-7{padding-left: 7px;}
.p-l-65{padding-left: 6.5px;}
.p-l-8{padding-left: 8px;}
.p-l-10{padding-left: 10px;}
.p-l-13{padding-left: 13px;}
.p-l-14{padding-left: 14px;}
.p-l-16{padding-left: 16px;}
.p-l-18{padding-left: 18px;}
.p-l-19{padding-left: 19px;}
.p-l-20{padding-left: 20px;}
.p-l-21{padding-left: 21px;}
.p-l-25{padding-left: 25px;}
.p-l-26{padding-left: 26px;}
.p-l-30{padding-left: 30px;}
.p-l-35{padding-left: 35px;}
.p-l-40{padding-left: 40px;}

.p-l-46{padding-left: 46px;}
.p-l-50{padding-left: 50px;}
.p-l-55{padding-left: 55px;}
.p-l-69{padding-left: 69px;}

.p-l-85{padding-left: 85px;}
.p-l-98{padding-left: 98px;}

.p-r-2{padding-right: 2px;}
.p-r-3{padding-right: 3px;}
.p-r-5{padding-right: 5px;}
.p-r-7{padding-right: 7px;}
.p-r-8{padding-right: 8px;}
.p-r-10{padding-right: 10px;}
.p-r-13{padding-right: 13px;}
.p-r-14{padding-right: 14px;}
.p-r-16{padding-right: 16px;}
.p-r-20{padding-right: 20px;}
.p-r-24{padding-right: 24px;}
.p-r-30{padding-right: 30px;}
.p-r-34{padding-right: 34px;}
.p-r-40{padding-right: 40px;}
.p-r-50{padding-right: 50px;}

.p-r-69{padding-right: 69px;}

.p-r-85{padding-right: 85px;}
.p-r-97{padding-right: 97px;}
/* PADDING END */
.g-g-20{grid-gap: 20px;}
.g-10{
    gap: 10px;
}
/* FLOAT */
.float-r { float: right; }
.float-l { float: left; }
/* FLOAT END */

/* FONT WEIGHT */
.f-w-n {font-weight: normal}
.f-w-b {font-weight: bold}
.f-w-200 {font-weight: 200 !important;}
.f-w-300 {font-weight: 300 !important;}
.f-w-400 {font-weight: 400 !important;}
.f-w-500 {font-weight: 500 !important;}
.f-w-600 {font-weight: 600 !important;}
.f-w-700 {font-weight: 700 !important;}
/* FONT WEIGHT END */

/* LINE HEIGHT */
.l-h-1-1 {line-height: 1.1}
.l-h-17 {line-height: 17px;}
.l-h-20 {line-height: 20px}
.l-h-28 {line-height: 28px}
.l-h-36 {line-height: 36px}
.l-h-50 {line-height: 50px}
.l-h-75 {line-height: 75px}
/* LINE HEIGHT */

/* TRANSFORM */
.translate-y-15 {
    transform: translateY(15%);
}
.translate-y-35 {
    transform: translateY(35%);
}
/* TRANSFORM END */
/* BORDER */
.b-s-1 {border: 1px solid;}
.b-s-2 {border: 2px solid;}
.b-none {
    border: none;
}
.border-top {
    border-top: var(--zchb-border-width) var(--zchb-border-style) var(--zchb-border-color) !important;
}
.border-left {
    border-left: 1px solid;
}
.border-left-4{
    border-left: 4px solid;
}
.border-right {
    border-right: 1px solid !important;
}
.border-bottom {
    border-bottom: 1px solid !important;
}
.hover-grey:hover .punktir-grey{
  border:none;
}
.punktir-grey
{
  text-decoration: none;
  border-bottom: 2px dotted;
  border-color: #d7d7d7;
  padding-bottom: 3px;
}
.b-none {
    border:none;
}
.b-inside-primary-4 {
    box-shadow: inset 0px 0px 0px 4px var(--zchb-primary);
}
/* BORDER END */


/* BOX SHADOW */
.box-shadow {
    box-shadow: 0px 2px 18px 0px rgba(167,174,182,.25);
}
.box-shadow-bottom {
    box-shadow: 0px 10px 10px 0px rgba(167,174,182,.25);
}
.box-shadow-primary {
    box-shadow: 0px 0px 10px 4px var(--zchb-primary-shadow);
}
.box-shadow-success {
    box-shadow: 0px 0px 10px 4px var(--zchb-success-shadow);
}
.box-shadow-warning {
    box-shadow: 0px 0px 10px 4px var(--zchb-warning-shadow);
}
.box-shadow-danger {
    box-shadow: 0px 0px 10px 4px var(--zchb-danger-shadow);
}
.box-shadow-primary-hover{
    transition: box-shadow 0.2s ease;
}
.box-shadow-primary-hover:hover {
    box-shadow: 0px 0px 10px 4px var(--zchb-primary-shadow);
}
.box-shadow-unset {
    box-shadow: unset;
}
/* BOX SHADOW END */

/* BORDER RADIUS */
.b-radius-3 {border-radius: 3px;}
.b-radius-5 {border-radius: 5px;}
.b-radius-6 {border-radius: 6px;}
.b-radius-8 {border-radius: 8px;}
.b-radius-12 {border-radius: 12px;}
.b-radius-13 {border-radius: 13px;}
.b-radius-18 {border-radius: 18px;}
.b-radius-20 {border-radius: 20px;}
.b-radius-25 {border-radius: 25px;}
.b-t-l-radius-0 {border-top-left-radius: 0px;}
.b-t-r-radius-0 {border-top-right-radius: 0px;}
.b-b-l-radius-0 {border-bottom-left-radius: 0px;}
.b-b-r-radius-0 {border-bottom-right-radius: 0px;}
.b-t-l-radius-8 {border-top-left-radius: 8px !important;}
.b-t-r-radius-8 {border-top-right-radius: 8px !important;}
.b-b-l-radius-8 {border-bottom-left-radius: 8px !important;}
.b-b-r-radius-8 {border-bottom-right-radius: 8px !important;}
.b-t-l-radius-12 {border-top-left-radius: 12px !important;}
.b-b-l-radius-12 {border-bottom-left-radius: 12px !important;}
.b-t-r-radius-12 {border-top-right-radius: 12px !important;}
.b-b-r-radius-12 {border-bottom-right-radius: 12px !important;}
.b-t-l-radius-20 {border-top-left-radius: 20px !important;}
.b-t-r-radius-20 {border-top-right-radius: 20px !important;}
.b-b-l-radius-20 {border-bottom-left-radius: 20px !important;}
.b-b-r-radius-20 {border-bottom-right-radius: 20px !important;}
.b-radius-50 {border-radius: 50px;}
.b-t-radius-18 {border-top-left-radius: 18px; border-top-right-radius: 18px;}
.b-t-radius-20 {border-top-left-radius: 20px; border-top-right-radius: 20px;}
.b-l-radius-20 {border-top-left-radius: 20px; border-bottom-left-radius: 20px;}
.b-b-radius-20 {border-bottom-left-radius: 20px; border-bottom-right-radius: 20px;}
.b-r-radius-20 {border-top-right-radius: 20px; border-bottom-right-radius: 20px;}
.rounded-pill {
    border-radius: var(--zchb-border-radius-pill) !important;
}
.rounded-circle {
    border-radius: 50% !important;
}
/* BORDER RADIUS END */

/* BORDER COLOR */
.b-color-white {border-color: #ffffff !important;}
.b-color-grey {border-color: var(--zchb-grey-300) !important;}
.b-color-dark-grey {border-color: var(--zchb-grey-400) !important;}
.b-color-light-grey {border-color: #e5e5e5 !important;}
.b-color-danger {border-color: rgba(var(--zchb-danger-rgb));}
.b-color-success {border-color: #20BE8F;}
.b-color-warning {border-color: #FFAC5F;}
.b-color-default {border-color: rgba(0, 0, 0, 0.1);}
.b-color-dark-fiol {border-color: var(--zchb-dark-fiol);}
.b-color-primary {border-color: var(--zchb-primary);}
.b-color-grey-200 {border-color: var(--zchb-grey-200) !important;}
.b-color-unset {border-color: unset;}
/* BORDER COLOR END */

/* TEXT AREA */
.t-a-resize-none {
    resize: none;
}
.outline-none {
    outline: none;
}
/* TEXT AREA END */

/* WIDTH */
.w-100-proc {width: 100%;}
.w-50-proc {width: 50%;}
.w-49-proc {width: 49%;}

.w-100-proc--15-sides {width: calc(100% + 30px); margin-left: -15px;}
.w-100-proc--20-sides {width: calc(100% + 40px); margin-left: -20px;}
.w-46 {width: 46px;}
.w-50 {width: 50px;}
.w-128 {width:128px;}
.w-320 {width: 320px;}
.min-w-unset {min-width: unset;}
.min-w-53 {min-width: 53px;}
.min-w-60 {min-width: 60px;}
.min-w-145 {min-width: 145px;}
.min-w-165 {min-width: 165px;}
.min-w-197 {min-width: 197px;}
.min-w-225 {min-width: 225px;}
.min-w-300 {min-width: 300px;}
.max-w-120 {max-width: 120px;}
.max-w-106 {max-width: 106px;}
.max-w-145 {max-width: 145px;}
.max-w-165 {max-width: 165px;}
.max-w-230 {max-width: 230px;}
.max-w-260 {max-width: 260px;}
.max-w-300 {max-width: 300px;}
.max-w-360 {max-width: 360px;}
.max-w-325 {max-width: 325px;}
.max-w-400{max-width: 400px;}
.max-w-500 {max-width: 500px;}
.max-w-800 {max-width: 800px;}
.max-w-900 {max-width: 900px;}
.max-w-100-proc {max-width: 100%;}
/* WIDTH END */


/* HEIGHT */
.h-100-proc {height: 100%;}

.h-1 {height: 1px;}
.h-550 {height: 550px;}
.h-400 {height: 400px;}
.h-350 {height: 350px;}

.h-220 {height: 220px;}
.h-170 {height: 170px;}
.h-137 {height: 137px;}
.h-100 {height: 100px;}
.h-90 {height: 90px;}
.h-70 {height: 70px;}
.h-64 {height: 64px;}
.h-50 {height: 50px;}
.h-54 {height: 54px;}
.h-48 {height: 48px;}
.h-44 {height: 44px;}
.h-40 {height: 40px;}
.h-34 {height: 34px;}
.h-24 {height: 24px;}
.h-21 {height: 21px;}
.h-20 {height: 20px;}
.h-15 {height: 15px;}
.max-h-500 {max-height: 500px;}
.max-h-300 {max-height: 300px;}
.max-h-250 {max-height: 250px;}
.max-h-230 {max-height: 230px;}
.max-h-240 {max-height: 240px;}
.max-h-200 {max-height: 200px;}
.min-h-200 {min-height: 200px;}
.min-h-230 {min-height: 230px;}
.min-h-240 {min-height: 240px;}
.min-h-250 {min-height: 250px;}

/* HEIGHT END */


/* TEXT COLORS */
.c-unset-hover:hover {color:unset;}
.c-black {color:var(--zchb-body-color);}
.c-total-black {color:var(--zchb-black);}
.c-white {color:#fff;}
.c-dark-black {color:var(--zchb-body-color);}
.c-light-grey {color:#7E8898 !important;}
.c-grey {color: #676F79 !important;}
.c-secondary {color: rgba(14, 30, 45, .5) !important;}
.c-success {color:  rgba(var(--zchb-success-rgb)) !important;}
.c-primary {color:  rgba(var(--zchb-primary-rgb)) !important;}
.c-danger {color:   rgba(var(--zchb-danger-rgb)) !important;}
.c-warning {color:  rgba(var(--zchb-warning-rgb)) !important;}
.c-green {color:    #12B785 !important;}
.c-grey-100{color: var(--zchb-grey-100);}
.c-grey-200{color: var(--zchb-grey-200);}
.c-grey-300{color: var(--zchb-grey-300);}
.c-grey-400{color: var(--zchb-grey-400);}
.c-grey-500{color: var(--zchb-grey-500);}
.c-grey-600{color: var(--zchb-grey-600);}
.c-grey-800{color: var(--zchb-grey-800);}
.c-grey-900{color: var(--zchb-grey-900);}
.c-fiolet{color: #a78bfa;}
.c-shadow{color: var(--zchb-shadow);}
.text-delete {color: var(--zchb-grey-400);}
.text-add {color: var(--zchb-success);}
.false-link{color: var(--zchb-link-color);}
.false-link:hover, .false-link:focus{
    color: var(--zchb-link-hover-color);
    text-decoration: underline;
}
/* TEXT COLORS END */


/* BACKGROUND */
.background-light-blue-modal {background-color: #479EF933}
.background-white   {background-color: white}
.background-blue    {background-color: #00AAFF}
.background-blue-dark   {background-color: #1F7BF4}
.background-grey    {background-color: var(--zchb-grey-300)}
.background-grey-light  {background-color: var(--zchb-grey-200)}
.background-light   {background-color: var(--zchb-grey-100)}
.background-color-grey-blue {background-color: #edf2f9}
.background-color-main {background-color: var(--zchb-color-bg-main)}
.background-color-lp {background-color: var(--zchb-color-bg-main-light)}

.bg-white{
    background-color: var(--zchb-white);
}

.bg-soft-success {
    background-color: var(--zchb-soft-success) !important;
}
.bg-soft-danger {
    background-color: var(--zchb-soft-danger) !important;
}
.bg-badge-soft-danger {
    background-color: var(--zchb-badge-soft-danger-background-color) !important;
}
.bg-badge-soft-warning {
    background-color: var(--zchb-badge-soft-warning-background-color) !important;
}
.bg-badge-soft-success {
    background-color: var(--zchb-badge-soft-success-background-color) !important;
}
.bg-soft-secondary {
    background-color: var(--zchb-soft-secondary) !important;
}
.bg-soft-primary {
    background-color: var(--zchb-soft-primary) !important;
}
.bg-soft-warning {
    background-color: var(--zchb-soft-warning) !important;
}

.bg-success {
    background-color: var(--zchb-success) !important;
}
.bg-danger {
    background-color: var(--zchb-danger) !important;
}
.bg-secondary {
    background-color: var(--zchb-secondary) !important;
}
.bg-info {
    background-color: var(--zchb-info) !important;
}
.bg-warning {
    background-color: var(--zchb-warning) !important;
}
.bg-primary {
    background-color: var(--zchb-primary) !important;
}
.bg-wait {
    background-color: var(--zchb-primary) !important;
}
.bg-grey-500 {
    background-color: var(--zchb-grey-500);
}
.bg-grey-300 {
    background-color: var(--zchb-grey-300);
}
.bg-black {
    background-color: var(--zchb-grey-black) !important;
}
/* BACKGROUND END */


/* TEXT DECORATION */
.underline {text-decoration: underline;}
.underline:hover {text-decoration: underline;}
.underline:focus {text-decoration: underline;}

.no-underline {text-decoration: none;}
.no-underline-full {text-decoration: none;}
.no-underline-full:hover {text-decoration: none;}
.no-underline-full:focus {text-decoration: none;}
/* TEXT DECORATION END */


/* ROTATE */
.rotate-180{transform: rotate(180deg);}
/* ROTATE END */

/* WORD WRAP */
.break-word {
    word-wrap: break-word;
}
.nowrap {
    white-space: nowrap;
}
.break-all {
    word-break: break-all;
}
.w-s-normal {
    white-space: normal;
}
/* WORD WRAP END*/


/* BLUR*/
.blur-5 {
    filter: blur(5px);
}
/* BLUR END*/


/* CONTENT */
.title-content {
    font-weight: 600;
    font-size: 16px;
    line-height: 18px;
    text-indent: 0px;
}
.sub-title-content {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    margin-bottom: 5px;
    color: var(--zchb-sub-title-content);
}
.text-content {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;

}

.etc {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow-x: hidden;
}
/* CONTENT END*/


/* OVERFLOW */
.overflow-y-auto {
    overflow-y: auto;
}
.overflow-hidden {
    overflow: hidden;
}
/* OVERFLOW END */


/* postion */
.position-rel {
    position: relative !important;
}
.position-abs {
    position: absolute !important;
}
.position-fx {
    position: fixed !important;
}
/* CONTENT END*/

.z-index-1 {
    z-index: 1;
}
.z-index-6 {
    z-index: 6;
}
.z-index-900 {
    z-index: 900 !important;
}
.z-index-1000 {
    z-index: 1000 !important;
}
.z-index-1100 {
    z-index: 1100 !important;
}

/* display */
.flex-center-h{
    display: flex;
    justify-content: center;
}
.d-none {
    display: none;
}
.d-flex {
    display: flex;
}
.d-grid {
    display: grid;
}
.d-in-block {
    display: inline-block;
}
.d-block {
    display: block;
}
.align-center {
    align-items: center;
}
.justify-between {
    justify-content:space-between
}

/* end display */

.panel-heading {
    background-color: var(--zchb-grey-100) !important;
}

/* HOVER */
.hover-soft-primary:hover, .hover-soft-primary.active {
    background-color: var(--zchb-badge-soft-primary-background-color);
    color: var(--zchb-primary);
}
.hover-primary:hover, .hover-primary.active {
    background-color: var(--zchb-primary);
    color: var(--zchb-white);
}
.hover-primary.disabled {
    background-color: var(--zchb-primary);
    color: var(--zchb-white);
    opacity: 0.5;
    pointer-events: none;
}
.hover-soft-primary:hover *, .hover-soft-primary.active * {
    filter: brightness(0) saturate(100%) invert(74%) sepia(51%) saturate(5910%) hue-rotate(187deg) brightness(99%) contrast(98%) !important;
}
/* END HOVER */


/* CURSOR */
.cursor-unset{
    cursor: unset;
}
/* CURSOR */


/* COPY STRING */
.copy-string {
  cursor: pointer;
  /*padding:3px;*/
  -webkit-user-select: none;  /* Chrome all / Safari all */
  -moz-user-select: none;     /* Firefox all */
  -ms-user-select: none;      /* IE 10+ */
  user-select: none;  
}
.copy-string:hover {
  background: var(--zchb-badge-soft-primary-background-color);
  border-radius: 5px;
  box-shadow: -5px 0px 0px 0px var(--zchb-badge-soft-primary-background-color), 5px 0px 0px 0px var(--zchb-badge-soft-primary-background-color), 13px 0px 0px 0px var(--zchb-badge-soft-primary-background-color), 22px 0px 0px 0px var(--zchb-badge-soft-primary-background-color);
  position: relative;
}
.copy-string:hover:after {
    position: absolute;
    padding-right: 12px;
    right: -30px;
    bottom: -4px;
    background-color: rgba(0,0,0,0);
    content: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTYiIGhlaWdodD0iMTciIHZpZXdCb3g9IjAgMCAxNiAxNyIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNMTAuNjY2MyA5LjA5OTkyVjExLjg5OTlDMTAuNjY2MyAxNC4yMzMzIDkuNzMzMDEgMTUuMTY2NiA3LjM5OTY3IDE1LjE2NjZINC41OTk2N0MyLjI2NjM0IDE1LjE2NjYgMS4zMzMwMSAxNC4yMzMzIDEuMzMzMDEgMTEuODk5OVY5LjA5OTkyQzEuMzMzMDEgNi43NjY1OSAyLjI2NjM0IDUuODMzMjUgNC41OTk2NyA1LjgzMzI1SDcuMzk5NjdDOS43MzMwMSA1LjgzMzI1IDEwLjY2NjMgNi43NjY1OSAxMC42NjYzIDkuMDk5OTJaIiBmaWxsPSIjOURBN0I2Ii8+PHBhdGggZD0iTTExLjM5OTggMS44MzMyNUg4LjU5OTg0QzYuNjc5MTQgMS44MzMyNSA1LjcxMTUyIDIuNDcwMTggNS40MjkwNyAzLjk5MjUyQzUuMzI3NDggNC41NDAwOSA1Ljc5NDg0IDQuOTk5OTIgNi4zNTE3NSA0Ljk5OTkySDcuMzk5ODRDMTAuMTk5OCA0Ljk5OTkyIDExLjQ5OTggNi4yOTk5MiAxMS40OTk4IDkuMDk5OTJWMTAuMTQ4QzExLjQ5OTggMTAuNzA0OSAxMS45NTk3IDExLjE3MjMgMTIuNTA3MiAxMS4wNzA3QzE0LjAyOTYgMTAuNzg4MiAxNC42NjY1IDkuODIwNjIgMTQuNjY2NSA3Ljg5OTkyVjUuMDk5OTJDMTQuNjY2NSAyLjc2NjU5IDEzLjczMzIgMS44MzMyNSAxMS4zOTk4IDEuODMzMjVaIiBmaWxsPSIjOURBN0I2Ii8+PC9zdmc+);
  }

.copy-code {
    cursor: pointer;
    /*padding:3px;*/
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;
}
/* COPY STRING */

/* collapse */
.hide-when-expanded[aria-expanded="true"] {display: none;}
.show-when-expanded[aria-expanded="false"] {display: none;}
/* end collapse */

/* TODO: Убрать. Для виджета выбора ОКВЭД */
.okved-text-tree {
    padding-left: 35px !important;
}
/* TODO: Убрать. Для виджета выбора ОКВЭД */
.background-color-cookies{
    background-color: rgba(255, 255, 255, 0.85);
    backdrop-filter: blur(1px);
}

.order-block-two {
    order: 2;
}
.order-block-one {
    order: 1;
}
    .order-block-one .tpanel{
    box-shadow: none;
    margin-left: 0px;
    margin-right: 0px;
    border-radius: 12px;
  }
  .order-block-two .tpanel{
    box-shadow: none;
    margin-left: 0px;
    margin-right: 0px;
    border-radius: 12px;
  } 

.container-demodos .tpanel {
    box-shadow: none !important;
}


.show-more-link {
    text-decoration: none;
    font-size: 14px;
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}

.show-more-link:hover {
    text-decoration: none ;
}

.arrow-filters {
    transition: transform 0.3s ease;
}

.arrow-filters.rotated {
    transform: rotate(180deg);
}

.show-more-link svg path {
    fill: currentColor; 
    transition: fill 0.3s ease, transform 0.3s ease;
}
.popover-fssp {
    transform: translateX(25px)
}

#access-table-diff{
    position: relative;
}
#access-table-diff-parent2::after {
    content:""; 
    width: 15%;
    height: 100%;
    position: absolute;
    border:4px solid var(--zchb-primary);
    border-radius: 12px;
    top: 0;
    left: 67%;
}

.scrollbar-width {
    scrollbar-width: thin;
}

.horizontall-scroll {
    overflow-x: auto;
}